Create Stripe Customer Portal Session
curl --request POST \
--url https://api.example.com/api/payments/stripe/{environment}/customer-portal-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": {
"type": "team",
"id": "team_123"
},
"returnUrl": "https://app.example.com/billing"
}
'import requests
url = "https://api.example.com/api/payments/stripe/{environment}/customer-portal-sessions"
payload = {
"subject": {
"type": "team",
"id": "team_123"
},
"returnUrl": "https://app.example.com/billing"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: {type: 'team', id: 'team_123'},
returnUrl: 'https://app.example.com/billing'
})
};
fetch('https://api.example.com/api/payments/stripe/{environment}/customer-portal-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerPortalSession": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "<string>",
"subjectId": "<string>",
"customerId": "cus_123",
"returnUrl": "https://app.example.com/billing",
"configuration": "<string>",
"url": "https://billing.stripe.com/p/session/test_123",
"lastError": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Stripe Payments
Create Stripe Customer Portal Session
Create a Stripe Billing Portal Session for an authenticated user’s mapped billing subject.
POST
/
api
/
payments
/
stripe
/
{environment}
/
customer-portal-sessions
Create Stripe Customer Portal Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Body
application/json
Response
Customer Portal Session created
Show child attributes
Show child attributes
Was this page helpful?
⌘I